package grapher;
import java.applet.Applet;
import java.util.*;
import java.awt.*;


public class Dl  {
		public int np;
		public double x_data[];
   		public double y_data[];
  
   		private TextLine x_label; 
   		private TextLine y_label;
   		
   	public Dl(int number_of_rays,String xs, String ys) {
   		x_label = new TextLine(xs);
   		y_label = new TextLine(ys);
   		np = number_of_rays;
   		x_data = new double[np];
   		y_data = new double[np];

   		checkConsistent();
   	} // constructor
   	
   	public TextLine getXLabel() {
   		return x_label;
   	}
   	
   	public TextLine getYLabel() {
   		return y_label;
   	}
   	
	public void checkConsistent() {
		if (np <= 0) {
			System.out.println("Dl: np <= 0");
		}
	} // checkConsistent
	
	public void print(int numberOfPoints) {
		System.out.println("x3\t dl\t r");
		for (int i =0 ; i < numberOfPoints; i++) {
			System.out.println(x_data[i]+"\t "+y_data[i]);
		}
	}
	public void print() {
		System.out.println("x3\t dl\t r");
		for (int i =0 ; i < np; i++) {
			System.out.println(x_data[i]+"\t "+y_data[i]);
		}
	} // print

}