package grapher;
import java.awt.*;
import java.applet.*;
import java.net.URL;
import lyon.dclap.*;
    

public class g2d1 extends PictFrame {

	//Graph2D is a canvas instance.
      Graph2D graph_canvas; 

      Axis    xaxis_t, xaxis_b;
      Axis    yaxis;
      int np;
      URL markers;
      public  Graphics g;
      Frame gf = new PictFrame("Graph Frame");
      DataSet dataSet;
	  double data[];
       
	public g2d1(Dl dl) {
		super("Graph Frame");
		np = dl.np;
		dl.checkConsistent();
		//dl.print();
		initialize();

		data = new double[np*2];
				   	make_axis(dl);
		// make the x-data
		//show();
		//g=getGraphics();
		//g.setColor(Color.black);


      }
      
      void make_axis(Dl dl) {
      	int ix=0;
		int iy=1;
		for (int i=0;i<np;i++) {
			data[ix] = dl.x_data[i];
			data[iy] = dl.y_data[i];
			ix=ix+2;
			iy=iy+2;
		}
		graph_canvas.setBackground(Color.white);
        dataSet =  graph_canvas.loadDataSet(data,np);
        dataSet.linecolor = new Color(0,0,0);
        dataSet.legendColor(new Color(0,0,0));


        
        
       // xaxis_t = graph_canvas.createAxis(Axis.TOP);
       // xaxis_t.attachDataSet(data1);
       // xaxis_t.title = dl.x_label;
         
        xaxis_b = graph_canvas.createAxis(Axis.BOTTOM);
        xaxis_b.attachDataSet(dataSet);
        xaxis_b.title = dl.getXLabel();

        yaxis = graph_canvas.createAxis(Axis.RIGHT);
        yaxis.attachDataSet(dataSet);
      	yaxis.title = dl.getYLabel();
      	
      }
      
      private void initialize() {
       	graph_canvas = new Graph2D();
		// gf is graphics frame canvas will be drawn on
		// lets make a small graph.
      	//gf.add("Center", graph_canvas); 
      	gf.add("Center",graph_canvas);
   		gf.resize(250,250);  		
   		gf.show();  
	}

      public void draw() {
           gf.repaint();
      }      

}