package ipl;
import java.io.*;
import java.awt.*;
import java.util.*;
import lyon.dclap.PictFrame;
import futils.*;

/**
Reads vectors from a file and draws them on a frame.
*/

public class DrawLine extends PictFrame {

	Vector v=new Vector();

	public DrawLine() {
		super("DrawLine");
		setSize(600, 700);
		show();

	}



	public static void main(String argv[]) {	

		DrawLine d = new DrawLine();
		d.readIn();

	}



	public void readIn(){

		int x1, y1, x2, y2;

		FileInputStream fis; 
			fis = Futil.getFileInputStream();

			StreamTokenizer tk=
				new  StreamTokenizer(fis);

			try {

				while(tk.nextToken()!=tk.TT_EOF) {
					x1=(int)tk.nval; 
					tk.nextToken();
					y1=(int)tk.nval;
    				tk.nextToken();

					x2=(int)tk.nval; 

					tk.nextToken();

					y2=(int)tk.nval;

					Line_type l=new Line_type(x1, y1, x2, y2);

					v.addElement(l);

				}

			}

			catch(Exception e){
				System.out.println("Exception in DrawLine:"+e);
			 }

			try {
				fis.close();
			}
			catch(Exception e){
				System.out.println("Exception in DrawLine:"+e);
			 }

	}



	public void paint(Graphics g){

		for(int i=0; i<v.size(); i++){

    		Line_type o=(Line_type)v.elementAt(i);

			g.drawLine(o.x1, o.y1, o.x2, o.y2);

			System.out.println(i);

		}

	}

}





class Line_type{

	int x1, y1, x2, y2;
	Line_type(int a, int b, int c, int d){

		x1=a;

		y1=b;

		x2=c;

		y2=d;

	}

}





